<template>
  <div id="project-description">
    <v-row>
      <v-col class="d-flex align-center">
        <div class="mr-3">
          <v-img
            v-if="icon"
            :src="require(`../assets/img/${icon}`)"
            contain
            width="50"
            id="category-icon"
          />
        </div>

        <div class="d-flex flex-column">
          <div class="headline font-weight-bold" :style="`color: ${color};`">
            {{category}}
          </div>

          <div id="projects-count" class="title main-text-color-2 font-weight-medium">
            {{count}} полезных дел
          </div>
        </div>
      </v-col>
    </v-row>

    <v-row>
      <v-col cols="12" md="5" class="main-text-color-2">
        <h1 id="project-name" class="title font-weight-bold mb-2">{{name}}</h1>
        <div class="d-flex mb-4">
          <div class="mr-2">
            <v-img
              :src="require('../assets/img/distance.png')"
              contain
              width="25"
            />
          </div>

          <div id="project-address" class="subtitle-1 font-weight-regular">{{address}}</div>
        </div>

        <div class="body-1 mb-4">
          Региональный проект<br>
          <span id="project-subcategory" class="font-weight-medium">{{subcategory}}</span>
        </div>

        <div class="body-1 mb-4">
          Статус<br>
          <span id="project-status" class="font-weight-medium">{{endDate ? 'Запланировано' : 'Готово'}}</span>
        </div>
        <div v-if="endDate" class="body-1 mb-4">
          Плановый срок<br>
          <span id="project-end-date" class="font-weight-medium">{{endDate}}</span>
        </div>

        <div class="body-1 mb-4">
          Тип объекта<br>
          <span id="project-type" class="font-weight-medium">{{type}}</span>
        </div>

        <div v-if="email" class="body-1 mb-4">
          E-mail<br>
          <a id="project-email" class="font-weight-medium" :href="`mailto: ${email}`">{{email}}</a>
        </div>
        <div v-if="website" class="body-1 mb-4">
          Сайт<br>
          <a id="project-website" class="font-weight-medium" :href="website">{{website}}</a>
        </div>
        <div v-if="phone" class="body-1 mb-4">
          Телефон<br>
          <span id="project-phone" class="font-weight-medium">{{phone}}</span>
        </div>

        <div class="body-1 mb-4">
          Ответственный<br>
          <span id="project-responsible" class="font-weight-bold">{{responsible}}</span>
        </div>

        <div class="body-1">Описание</div>
        <div class="body-2">{{description}}</div>
      </v-col>
      <v-col cols="7" class="d-none d-md-block">
        <yandex-map
          v-if="coords"
          :coords="coords || []"
          :controls="['fullscreenControl', 'rulerControl', 'zoomControl']"
          :zoom="15"
        >
          <ymap-marker
            :coords="coords"
            marker-id="1"
            :hint-content="name"
          />
        </yandex-map>
      </v-col>
    </v-row>
  </div>
</template>
<script>
  import {yandexMap, ymapMarker} from 'vue-yandex-maps';

  export default {
    name: 'ProjectDescription',
    components: {yandexMap, ymapMarker},
    props: {
      coords: Array,
      name: String,
      icon: String,
      color: String,
      address: String,
      category: String,
      count: Number,
      subcategory: String,
      type: String,
      endDate: String,
      email: String,
      website: String,
      phone: String,
      responsible: String,
      description: String,
    },
  };
</script>

<style scoped>
  .ymap-container {
    height: 400px;
  }

  #project-description .title {
    line-height: 1.5rem;
  }

  #project-description .body-1 {
    line-height: 1.2rem;
  }
</style>
